%lib_package iec61883 0

Summary: Streaming library for IEEE1394.
Name: libiec61883
Version: 1.2.0
Release: 4_10%{?dist}
License: LGPLv2+
Group: Libraries
Source: http://www.kernel.org/pub/linux/libs/ieee1394/libiec61883-%{version}.tar.bz2
Patch0: libiec61883-1.2.0-installtests.patch
Patch1: libiec61883-channel-allocation-without-local-node-rw.patch
URL: https://ieee1394.wiki.kernel.org/index.php/Libraries#libiec61883
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf, automake, libtool, pkgconfig, gcc-c++
BuildRequires: libraw1394-devel >= 1.2.1
Requires: libraw1394 >= 1.2.1
%lib_dependencies

%description 

The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

%package utils
Summary:  Utilities for use with libiec61883
Group:    Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description utils
Utilities that make use of iec61883

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
#autoreconf
export CFLAGS="%{optflags}"
%configure --disable-static
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*.1*

%changelog
* Wed Apr 28 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.0-4_10
- Update to 1.2.0.

* Wed Dec 27 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.0-0_9
- Update to 1.1.0.

* Tue Apr  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fixes for building properly on x86_64.

* Mon Mar 28 2005 Jarod Wilson <jarod@wilsonet.com>
- Fixed utils so they build properly

* Sat Feb 26 2005 Jarod Wilson <jarod@wilsonet.com>
- Rolled in utils

* Wed Feb 23 2005 Jarod Wilson <jarod@wilsonet.com>
- Initial build

